# Introduction

Welcome to Nuvio API Reference documentation! Here you'll find all the documentation you need to get up and running with the Nuvio API.

{% hint style="info" %}
Nuvio API is still in beta. Until we publish a stable release, there might be some breaking changes or bugs. We aim to collect feedback from the beta users during this time period and create the flawless API to provide an integrated finance platform. Thank you for your support ❤️
{% endhint %}

The Nuvio API can be used to integrate your data either from Nuvio to any external system or from any external system into the Nuvio. Using the navigation on the left, you'll find details of Nuvio API usage and endpoints.

## Conventions

The base URL to send all API requests is <mark style="color:orange;">`https://api.nuvio.io`</mark>. HTTPS is required for all API requests.

The Nuvio API follows RESTful conventions when possible, with most operations performed via <mark style="color:orange;">`GET`</mark>, <mark style="color:orange;">`POST`</mark>, <mark style="color:orange;">`PATCH`</mark>, and <mark style="color:orange;">`DELETE`</mark> requests. Request and response bodies are encoded as JSON.

### JSON conventions

* Property names are in <mark style="color:orange;">`camelCase`</mark>  (not <mark style="color:orange;">`snake_case`</mark> or <mark style="color:orange;">`kebab-case`</mark>).
* Every response body have <mark style="color:orange;">`"success"`</mark> and <mark style="color:orange;">`"error"`</mark> fields. For each successful request, success field gets <mark style="color:orange;">`"true"`</mark>, and for each failed request success field gets <mark style="color:orange;">`"false"`</mark>. When request fails, error field will have detailed error massage. Check [**Errors**](/errors) page for specific error codes.


# Authentication

Nuvio API uses token-based authentication, allowing users to authenticate API requests by inputting their tokens into the HTTP authorization bearer token header.&#x20;

All API requests must be authenticated and made through HTTPS. Any request that doesn't include a Bearer Token will return an error.

Example:

```sh
curl https://app.nuvio.io/v1/{method} -H
"Authorization: Bearer YOUR_TOKEN"
```

## Get your Access Token

You can generate an API access token from <mark style="color:orange;">`Nuvio Settings -> Company Settings -> Developers`</mark> tab at any time.

{% hint style="warning" %}
**Be careful:** Access tokens belongs to company workspaces, not to users. Any company admin user can create a new access token and that token will continue to serve as long as it is not deleted, **even though the user who created the token is not an active user anymore.**
{% endhint %}

{% hint style="warning" %}
Please be sure to keep your API access tokens secure! Do not share them in emails, chat messages, client-side code or publicly accessible sites.

If you have accidentally shared an API access token publicly, you can revoke it in the Developer tab under Nuvio Platform's company settings.
{% endhint %}

## Scopes

API access tokens serve within the granted scope only. You can select the API scopes while creating your API access token on Nuvio Dashboard.

For example, to add a new income or expense to Nuvio via API, the token must have the <mark style="color:orange;">`WRITE`</mark> scope. Check the [**Scopes**](#scopes) page to learn more which scope grants access to which resources / endpoints.

<br>


# Scopes

Scopes control what actions a token can perform.

Access tokens can only access API endpoints covered by the scopes granted to them. A full reference of available scopes is below. In the "Endpoints" section of this documentation, you will find the scope of the each mentioned endpoint. Make sure to create an API Key that has the correct scope while creating your API key.

### Read Scope

Read scope grants access to the endpoints that allows to get data from the Nuvio. You can select this scope if you only want to retrieve data that is already available in the Nuvio and send to the other tools and systems.&#x20;

### Write Scope

Write scope grants access to the endpoints that inserts new data to the Nuvio. You can select this scope if you want to insert or import data from other tools and systems into the Nuvio.&#x20;

### Update Scope

Write scope grants access to the endpoints that updates existing data in the Nuvio. You can select this scope if you want to make changes to an existing data that is already available in the Nuvio.&#x20;

<br>


# Errors

The Nuvio API follows HTTP status code semantics.

2xx codes signify success, 4xx mostly represent user error, 5xx generally correspond to a server error. The error messages will return a JSON-encoded body that contains **errors** field. Those will provide specific error condition and human-readable message to identify what caused the error.

Successful request response:

```json
{
    "success": true,
    "errors": null,
    "data": [
    ]
}
```

Failed request response:

```json
{
    "success": false,
    "errors": ["Your request requires a valid authentication token. Please provide a valid token to proceed."]
}
```

### Success code

#### `200 OK`

Request completed successfully.

### User error codes

These errors generally indicate a problem on the client side. If you are getting one of these, check your code and the request details.

#### `400 Bad Request`

The request encoding is invalid; the request can't be parsed as a valid JSON.

#### `401 Unauthorized`

Accessing a protected resource without authorization or with invalid credentials.

#### `403 Forbidden`

Accessing a protected resource with API credentials that don't have access to that resource.

#### `404 Not Found`

Route or resource is not found. This error is returned when the request hits an undefined route, or if the resource doesn't exist (e.g. has been deleted).

#### `413 Request Entity Too Large`

The request exceeded the maximum allowed payload size. You shouldn't encounter this under normal use.

#### `422 Invalid Request`

The request data is invalid. This includes most of the base-specific validations. You will receive a detailed error message and code pointing to the exact issue.

### Server error codes

These errors generally represent an error on our side. In the event of a 5xx error code, detailed information about the error will be automatically recorded, and Nuvio's developers will be notified.

#### `500 Internal Server Error`

The server encountered an unexpected condition.

#### `502 Bad Gateway`

Nuvio's servers are restarting or an unexpected outage is in progress. You should generally not receive this error, and requests are safe to retry.

#### `503 Service Unavailable`

The server could not process your request in time. The server could be temporarily unavailable, or it could have timed out processing your request. You should retry the request with backoffs.

<br>


# Accounts & Transactions

## <mark style="background-color:green;">READ</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/accounts" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/accounts/{id}" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/transactions" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/transactions/{id}" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:yellow;">WRITE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/accounts" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/transactions" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:orange;">UPDATE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/accounts/{id}" method="put" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/transactions/{id}" method="put" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}


# Customers & Suppliers

All API Operations related with Customers & Suppliers

## <mark style="background-color:green;">READ</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/business-entities" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/business-entities/{id}" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:yellow;">WRITE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/business-entities" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:orange;">UPDATE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/business-entities/{id}" method="put" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}


# Expenses

All API Operations related with Expenses

## <mark style="background-color:green;">READ</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/list-expenses" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/expense/{id}" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:yellow;">WRITE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/expense" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:orange;">UPDATE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/expense/{id}" method="put" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}


# Income

All API Operations related with Income

## <mark style="background-color:green;">READ</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/list-incomes" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/income/{id}" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:yellow;">WRITE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/income" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:orange;">UPDATE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/income/{id}" method="put" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}


# Payments

All API Operations related with payments of income and expenses

## <mark style="background-color:yellow;">WRITE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/add-payment" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/match-payment/{transactionId}" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}


# Products & Services

All API Operations related with products & services

## <mark style="background-color:green;">READ</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/product-services" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/product-services/{id}" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:yellow;">WRITE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/product-services" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:orange;">UPDATE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/product-services/{id}" method="put" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}


# Projects

All API Operations related with projects

## <mark style="background-color:green;">READ</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/project" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/project/{id}" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:yellow;">WRITE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/project" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:orange;">UPDATE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/project/{id}" method="put" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}


# Tags

All API Operations related with tags

## <mark style="background-color:green;">READ</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/tags" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/tags/{id}" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:yellow;">WRITE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/tags" method="post" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}

## <mark style="background-color:orange;">UPDATE</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/tags/{id}" method="put" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}


# Taxes

## <mark style="background-color:green;">READ</mark> Scope

{% openapi src="/files/abMy8dpzJT5o2oJGTOlM" path="/v1/tax" method="get" %}
[Nuvio Open API v1.json](https://3704180295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1nPXAheLGOhS8hEjnxSC%2Fuploads%2FkmuIFKQs5P7WOzeSLTUH%2FNuvio%20Open%20API%20v1.json?alt=media\&token=f6894d60-17cc-456f-9283-f77dd9dc2363)
{% endopenapi %}


# Countries

List of countries available in Nuvio API

Nuvio API accepts country names in the API requests with their English-translated names. We call this as Global Name. You should use the Global Name of each country in your API requests.

| Global Name                      | Local Name                       |
| -------------------------------- | -------------------------------- |
| Afghanistan                      | Owganystan                       |
| Albania                          | Shqipëria                        |
| Algeria                          | الجزائر                          |
| Andorra                          | Andorra                          |
| Angola                           | Angola                           |
| Argentina                        | Argentina                        |
| Armenia                          | Հայաստան                         |
| Aruba                            | Aruba                            |
| Australia                        | Australia                        |
| Austria                          | Österreich                       |
| Azerbaijan                       | Азербайджан                      |
| Bahrain                          | ‏البحرين                         |
| Bangladesh                       | বাংলাদেশ                         |
| Belarus                          | Белару́сь                        |
| Belgium                          | Belgien                          |
| Belize                           | Belize                           |
| Benin                            | Bénin                            |
| Bhutan                           | འབྲུག་ཡུལ་                       |
| Bolivia                          | Buliwya                          |
| Bosnia and Herzegovina           | Боснa и Херцеговина              |
| Botswana                         | Botswana                         |
| Bouvet Island                    | Bouvetøya                        |
| Brazil                           | Brasil                           |
| Brunei                           | Negara Brunei Darussalam         |
| Bulgaria                         | България                         |
| Burkina Faso                     | Burkina Faso                     |
| Burundi                          | Uburundi                         |
| Cambodia                         | Kâmpŭchéa                        |
| Cameroon                         | Cameroun                         |
| Canada                           | Canada                           |
| Cape Verde                       | Cabo Verde                       |
| Cayman Islands                   | Cayman Islands                   |
| Central African Republic         | Bêafrîka                         |
| Chad                             | Tchad                            |
| Chile                            | Chile                            |
| China                            | 中国                               |
| Colombia                         | Colombia                         |
| Comoros                          | Komori                           |
| Costa Rica                       | Costa Rica                       |
| Croatia                          | Hrvatska                         |
| Cuba                             | Cuba                             |
| Curaçao                          | Curaçao                          |
| Cyprus                           | Kıbrıs                           |
| Czechia                          | Česko                            |
| Denmark                          | Danmark                          |
| Djibouti                         | Djibouti                         |
| Dominica                         | Dominica                         |
| Dominican Republic               | República Dominicana             |
| DR Congo                         | Jamhuri ya Kidemokrasia ya Kongo |
| Ecuador                          | Ecuador                          |
| Egypt                            | مصر                              |
| El Salvador                      | El Salvador                      |
| Equatorial Guinea                | Guinée équatoriale               |
| Eritrea                          | ኤርትራ                             |
| Estonia                          | Eesti                            |
| Eswatini                         | eSwatini                         |
| Ethiopia                         | ኢትዮጵያ                            |
| Fiji                             | फिजी                             |
| Finland                          | Suomi                            |
| France                           | France                           |
| French Polynesia                 | Polynésie française              |
| Gabon                            | Gabon                            |
| Gambia                           | Gambia                           |
| Georgia                          | საქართველო                       |
| Germany                          | Deutschland                      |
| Ghana                            | Ghana                            |
| Greece                           | Ελλάδα                           |
| Guadeloupe                       | Guadeloupe                       |
| Guatemala                        | Guatemala                        |
| Guinea                           | Guinée                           |
| Guinea-Bissau                    | Guiné-Bissau                     |
| Guyana                           | Guyana                           |
| Haiti                            | Ayiti                            |
| Honduras                         | Honduras                         |
| Hong Kong                        | 香港                               |
| Hungary                          | Magyarország                     |
| Iceland                          | Ísland                           |
| India                            | இந்தியா                          |
| Indonesia                        | Indonesia                        |
| Iran                             | ایران                            |
| Iraq                             | کۆماری                           |
| Ireland                          | Éire                             |
| Israel                           | ישראל                            |
| Italy                            | Italia                           |
| Ivory Coast                      | Côte d'Ivoire                    |
| Jamaica                          | Jamaica                          |
| Japan                            | 日本                               |
| Jersey                           | Jèrri                            |
| Jordan                           | الأردن                           |
| Kazakhstan                       | Қазақстан                        |
| Kenya                            | Kenya                            |
| Kiribati                         | Kiribati                         |
| Kosovo                           | Косово                           |
| Kuwait                           | الكويت                           |
| Kyrgyzstan                       | Кыргызстан                       |
| Laos                             | ສປປລາວ                           |
| Latvia                           | Latvija                          |
| Lebanon                          | Liban                            |
| Lesotho                          | Lesotho                          |
| Liberia                          | Liberia                          |
| Libya                            | ‏ليبيا                           |
| Liechtenstein                    | Liechtenstein                    |
| Lithuania                        | Lietuva                          |
| Luxembourg                       | Lëtzebuerg                       |
| Macau                            | 澳门                               |
| Madagascar                       | Madagasikara                     |
| Malawi                           | Malaŵi                           |
| Malaysia                         | مليسيا                           |
| Maldives                         | ދިވެހިރާއްޖޭގެ                   |
| Mali                             | Mali                             |
| Malta                            | Malta                            |
| Mauritania                       | موريتانيا                        |
| Mauritius                        | Moris                            |
| Mayotte                          | Mayotte                          |
| Mexico                           | México                           |
| Micronesia                       | Micronesia                       |
| Moldova                          | Moldova                          |
| Monaco                           | Monaco                           |
| Mongolia                         | Монгол улс                       |
| Montenegro                       | Црна Гора                        |
| Morocco                          | ⵍⵎⴰⵖⵔⵉⴱ                          |
| Mozambique                       | Moçambique                       |
| Myanmar                          | မြန်မာ                           |
| Namibia                          | Namibia                          |
| Nauru                            | Nauru                            |
| Nepal                            | नेपाल                            |
| Netherlands                      | Nederland                        |
| New Caledonia                    | Nouvelle-Calédonie               |
| New Zealand                      | New Zealand                      |
| Nicaragua                        | Nicaragua                        |
| Niger                            | Niger                            |
| Nigeria                          | Nigeria                          |
| North Korea                      | 조선                               |
| North Macedonia                  | Македонија                       |
| Norway                           | Norgga                           |
| Oman                             | عمان                             |
| Pakistan                         | پاكستان                          |
| Palau                            | Belau                            |
| Palestine                        | فلسطين                           |
| Panama                           | Panamá                           |
| Papua New Guinea                 | Papua Niugini                    |
| Paraguay                         | Paraguay                         |
| Peru                             | Piruw                            |
| Philippines                      | Pilipinas                        |
| Pitcairn Islands                 | Pitcairn Islands                 |
| Poland                           | Polska                           |
| Portugal                         | Portugal                         |
| Puerto Rico                      | Puerto Rico                      |
| Qatar                            | قطر                              |
| Republic of the Congo            | Republíki ya Kongó               |
| Réunion                          | La Réunion                       |
| Romania                          | România                          |
| Russia                           | Россия                           |
| Rwanda                           | Rwanda                           |
| Saint Kitts and Nevis            | Saint Kitts and Nevis            |
| Saint Lucia                      | Saint Lucia                      |
| Saint Martin                     | Saint-Martin                     |
| Saint Vincent and the Grenadines | Saint Vincent and the Grenadines |
| Samoa                            | Sāmoa                            |
| San Marino                       | San Marino                       |
| São Tomé and Príncipe            | São Tomé e Príncipe              |
| Saudi Arabia                     | العربية السعودية                 |
| Senegal                          | Sénégal                          |
| Serbia                           | Србија                           |
| Seychelles                       | Sesel                            |
| Sierra Leone                     | Sierra Leone                     |
| Singapore                        | சிங்கப்பூர்                      |
| Slovakia                         | Slovensko                        |
| Slovenia                         | Slovenija                        |
| Solomon Islands                  | Solomon Islands                  |
| Somalia                          | Soomaaliya                       |
| South Africa                     | Ningizimu Afrika                 |
| South Georgia                    | South Georgia                    |
| South Korea                      | 한국                               |
| South Sudan                      | South Sudan                      |
| Spain                            | España                           |
| Sri Lanka                        | ශ්‍රී ලංකාව                      |
| Sudan                            | السودان                          |
| Suriname                         | Suriname                         |
| Sweden                           | Sverige                          |
| Switzerland                      | Svizra                           |
| Syria                            | سوريا                            |
| Taiwan                           | 台灣                               |
| Tajikistan                       | Тоҷикистон                       |
| Tanzania                         | Tanzania                         |
| Thailand                         | ประเทศไทย                        |
| Togo                             | Togo                             |
| Tonga                            | Tonga                            |
| Trinidad and Tobago              | Trinidad and Tobago              |
| Tunisia                          | تونس                             |
| Turkey                           | Türkiye                          |
| Turkmenistan                     | Туркмения                        |
| Turks and Caicos Islands         | Turks and Caicos Islands         |
| Uganda                           | Uganda                           |
| Ukraine                          | Україна                          |
| United Arab Emirates             | دولة الإمارات العربية المتحدة    |
| United Kingdom                   | United Kingdom                   |
| United States                    | United States                    |
| Uruguay                          | Uruguay                          |
| U.S. Virgin Islands              | U.S. Virgin Islands              |
| Uzbekistan                       | O‘zbekiston                      |
| Vanuatu                          | Vanuatu                          |
| Venezuela                        | Venezuela                        |
| Vietnam                          | Việt Nam                         |
| Wallis and Futuna                | Wallis et Futuna                 |
| Yemen                            | اليَمَن                          |
| Zambia                           | Zambia                           |
| Zimbabwe                         | Zimbabwe                         |


# Currencies

Nuvio API accepts ISO formatted 3-letter currency codes available in the following table.

<table><thead><tr><th width="489">Currency</th><th width="135">Symbol</th><th>Code</th></tr></thead><tbody><tr><td>Australian Dollar</td><td>A$</td><td>AUD</td></tr><tr><td>Brezilian Real</td><td>R$</td><td>BRL</td></tr><tr><td>Canadian Dollar</td><td>C$</td><td>CAD</td></tr><tr><td>Danish Krone</td><td>DKK</td><td>DKK</td></tr><tr><td>Eastern Caribbean Dollar</td><td>EC$</td><td>XCD</td></tr><tr><td>Euro</td><td>€</td><td>EUR</td></tr><tr><td>Franc</td><td>CHF</td><td>CHF</td></tr><tr><td>Franc CFA</td><td>XOF</td><td>XOF</td></tr><tr><td>Japanese Yen</td><td>¥</td><td>JPY</td></tr><tr><td>Leu</td><td>RON</td><td>RON</td></tr><tr><td>Mexican Peso</td><td>MX$</td><td>MXN</td></tr><tr><td>New Zealand Dollar</td><td>NZ$</td><td>NZD</td></tr><tr><td>Norwegian Krone</td><td>NOK</td><td>NOK</td></tr><tr><td>Pound</td><td>£</td><td>GBP</td></tr><tr><td>Riyal</td><td>SAR</td><td>SAR</td></tr><tr><td>Rupee</td><td>₹</td><td>INR</td></tr><tr><td>Rupiah</td><td>IDR</td><td>IDR</td></tr><tr><td>Swedish Krona</td><td>SEK</td><td>SEK</td></tr><tr><td>Turkish Lira</td><td>₺</td><td>TRY</td></tr><tr><td>US Dollar</td><td>$</td><td>USD</td></tr><tr><td>Won</td><td>₩</td><td>KRW</td></tr><tr><td>Złoty</td><td>zł</td><td>PLN</td></tr></tbody></table>


